Package be.fgov.ehealth.rn.baselegaldata.v1

# Class DeceaseInfoDeclarationType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.DeceaseInfoDeclarationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class DeceaseInfoDeclarationType extends Object implements Serializable

Java class for DeceaseInfoDeclarationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeceaseInfoDeclarationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DeceaseDate" type="{urn:be:fgov:ehealth:rn:commons:business:v1}IncompleteDateType" minOccurs="0"/>
             <element name="DeceasePlace" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LocationDeclarationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeceaseInfoDeclarationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDeceaseDate()`
  Gets the value of the deceaseDate property.
  `LocationDeclarationType`
  `getDeceasePlace()`
  Gets the value of the deceasePlace property.
  `void`
  `setDeceaseDate(String value)`
  Sets the value of the deceaseDate property.
  `void`
  `setDeceasePlace(LocationDeclarationType value)`
  Sets the value of the deceasePlace property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeceaseInfoDeclarationType

    public DeceaseInfoDeclarationType()

- ## Method Details

  - ### getDeceaseDate

    public String getDeceaseDate()
    Gets the value of the deceaseDate property.
    Returns:
      possible object is `String`

  - ### setDeceaseDate

    public void setDeceaseDate(String value)
    Sets the value of the deceaseDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDeceasePlace

    public LocationDeclarationType getDeceasePlace()
    Gets the value of the deceasePlace property.
    Returns:
      possible object is `LocationDeclarationType`

  - ### setDeceasePlace

    public void setDeceasePlace(LocationDeclarationType value)
    Sets the value of the deceasePlace property.
    Parameters:
      `value` - allowed object is `LocationDeclarationType`